--- title: "getScheduledActionList" slug: "compute-vautoscaling-autoscalinggroup-getscheduledactionlist" updated: 2026-09-17T10:05:57Z published: 2026-09-17T10:05:57Z canonical: "api.ncloud-docs.com/compute-vautoscaling-autoscalinggroup-getscheduledactionlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getScheduledActionList Available in VPC Get the list of scaling schedules in Auto Scaling Group that have not yet run. Note See [getAutoScalingActivityLogList](/docs/en/compute-vautoscaling-autoscalinggroup-getautoscalingactivityloglist) to check the schedules that have already run. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vautoscaling/v2/getScheduledActionList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Auto Scaling APIs, see [Auto Scaling request headers](/docs/en/compute-vautoscaling#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `autoScalingGroupNo` | String | Required | Auto Scaling Group number - See [getAutoScalingGroupList](/docs/en/compute-vautoscaling-autoscalinggroup-getautoscalinggrouplist). | | `scheduledActionNoList.N` | Array | Optional | Schedule number list - Filter by the schedule number. - Example: `scheduledActionNoList.1=1234&scheduledActionNoList.2=2345` | | `scheduledActionNameList.N` | Array | Optional | Schedule name list - Filter by the schedule name. - Example: `scheduledActionNameList.1=test1&scheduledActionNameList.2=test2` | | `startTime` | Date | Optional | Schedule start date and time - yyyy-MM-ddTHH:mm:ssZ format - Get schedules after the input time. - Ignore if `scheduledActionNoList` or `scheduledActionNameList` is specified. - Example: `2020-07-25T17:50:00+0900` (URL encoding required) | | `endTime` | Date | Optional | Schedule end date and time - yyyy-MM-ddTHH:mm:ssZ format - Get schedules before the input time. - Ignore if `scheduledActionNoList` or `scheduledActionNameList` is specified. - Example: `2020-07-25T17:50:00+0900` (URL encoding required) | | `pageNo` | Integer | Optional | Page number - 1-N | | `pageSize` | Integer | Conditional | Number of items per page - 1-N - Required when entering `pageNo` | | `sortList.N.sortedBy` | String | Optional | Sort target - `scheduledActionName`: schedule name (valid value) - Example: `sortList.1.sortedBy=scheduledActionName` | | `sortList.N.sortingOrder` | String | Optional | Sort order - `ASC` (default) \| `DESC` - `ASC`: ascending order - `DESC`: descending order | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vautoscaling/v2/getScheduledActionList ?regionCode=KR &autoScalingGroupNo=1***9 &startTime=2025-06-13T00%3A00%3A00%2B0900 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getScheduledActionListResponse` | Object | - | Response result - See [ScheduledUpdateGroupActionList](/docs/en/common-vapidatatype-scheduledupdategroupactionlist). | | `getScheduledActionListResponse.requestId` | String | - | ID for the request - UUID format | | `getScheduledActionListResponse.returnCode` | String | - | Response code | | `getScheduledActionListResponse.returnMessage` | String | - | Response message | ### Response status codes For response status codes common to all Auto Scaling APIs, see [Auto Scaling response status codes](/docs/en/compute-vautoscaling#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getScheduledActionListResponse": { "totalRows": 2, "scheduledUpdateGroupActionList": [ { "autoScalingGroupNo": "1***9", "scheduledActionNo": "1183", "scheduledActionName": "sch2", "minSize": 0, "maxSize": 0, "desiredCapacity": 0, "startTime": "2025-06-14T17:50:00+0900", "endTime": "2025-06-14T18:10:00+0900", "recurrence": "", "timeZone": "KST" }, { "autoScalingGroupNo": "1***9", "scheduledActionNo": "1182", "scheduledActionName": "sch1", "minSize": 0, "maxSize": 2, "desiredCapacity": 0, "startTime": "2025-06-15T17:50:00+0900", "endTime": "2025-06-15T18:10:00+0900", "recurrence": "", "timeZone": "KST" } ], "requestId": "b91ffd88-****-****-****-4d9c735262c4", "returnCode": "0", "returnMessage": "success" } } ```